<div *ngIf="!flow_child.is_expand" class="row mb-1">
    <!-- <div class="col-sm-4 ml-4"></div> -->
    <div class="col-sm-9 pr-0" style="margin-left: 0%;">
        <div class="card border-0 box-shadow-none border-radius-10 bg-transparent"
             style="margin-left: 3.7rem;margin-right: 0.3rem; background-color: transparent;">
            <div (click)="toggle_entity();"
                 class="CardList card-header collapsed-card-border d-flex pr-0 align-items-center card-shadow bg-white  border-radius-10 cursor">
                <div class="card-header-title dashboard-tile-title cursor custom-mouseover" style="font-size: 18px;">
                    <span class="mr-2"><i class="las la-angle-right f-20"></i></span><span
                        class="dashboard-tile-title fw-400">{{flow_child?.parent_group_name ? flow_child?.parent_group_name : flow_child?.title}}</span></div>
                <div class="ml-auto btn-group btn-group-xs btn-group-toggle ng-untouched ng-pristine ng-valid mr-2">
                    <div class="ml-1">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-3 pt-4">
        <p class="f-14"></p>
    </div>
</div>
<div *blockUI="blockUIName;  template: blockTemplate" class="custom-bg-block-ui"
     id="full_screen_{{viewFilterdata.length > 0 && is_fullscreen_view === true ? 'true' : 'false'}}">
    <div id="flow_container" [hidden]="!flow_child.is_expand"
         class="row mb-1 ml-0 mr-0 flow_container fullscreen_{{is_fullscreen_view}}"
         style="flex-wrap: unset;min-height:400px;padding-left: 3rem;;overflow-x: auto;overflow-y: hidden;padding-bottom: 20px;">
        <div style="position: absolute; height:520px;background-image:linear-gradient(to right, rgba(246, 246, 246,1),rgba(246, 246, 246,0));left:0;width:70px;z-index: 1087;">
            <div>
                <app-hint [id]="'slide-card'" *ngIf="flow_index == 0 && scroll_position.active!='left'"></app-hint>
                <div *ngIf="scroll_position.active!='left'" (click)="scroll_flow('left')" class="slideLeft">
                    <img src="../../../assets/imgs/LftArrow.svg">
                </div>
            </div>
        </div>
        <div style="position: absolute; height:520px;background-image: linear-gradient(to right, rgba(246, 246, 246,0),rgba(246, 246, 246,1));right:0;width:70px;z-index: 1087;">
            <div *ngIf="scroll_position.active=='left'" (click)="scroll_flow('center')" class="slideRight">
                <img src="../../../assets/imgs/LftArrow.svg">
            </div>
        </div>
        <div class="col-sm-9">
            <div class="card card-shadow flow-entity-popup border-radius-10" style="min-height: 487px;"
                 id="pivot_table">
                <div class="card-header with-elements pr-0 card-bb-color popupTable">
                    <!-- don't remove the popuptable css -->
                    <!-- if Only data visible -->
                    <div (click)="toggle_entity();" style="width: 84% !important;" class="flow_title">
                        <div class="card-header-title dashboard-tile-title cursor ">
                            <span class="dashboard-tile-title fw-400">
                                <span class="mr-2">
                                    <i class="las la-angle-down f-20"></i>
                                </span>
                                {{scroll_position.class === 'col-sm-9' ? flow_child?.grid_childs[0]?.title : 'Data'}}
                            </span>
                        </div>
                    </div>
                    <!--  <div style="width: 84% !important;">
                          <div class="card-header-title dashboard-tile-title cursor ">
                              <span class="dashboard-tile-title fw-400">{{scroll_position.class === 'col-sm-9' ? flow_child.title : 'Data'}}</span>
                          </div>
                      </div>-->

                    <div class="child_div ml-auto btn-group btn-group-xs btn-group-toggle ng-untouched ng-pristine ng-valid mr-2">
                        <div class="ml-1" *ngIf="!is_fullscreen_view">
                            <button class="btn p-1" [disabled]="no_data_found" ngbTooltip="View data in full screen"
                                    placement="bottom" container="body"
                                    (click)="fullScreen('pivot_table')">
                                <i class="las la-expand f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-1" *ngIf="is_fullscreen_view">
                            <button class="btn p-1"
                                    ngbTooltip="Close" placement="bottom"
                                    (click)="fullScreen('pivot_table');">
                                <i class="ion-md-close f-20 custom-mouseover"></i></button>
                        </div>
                    </div>
                </div>
                <div class="card-body p-0" [hidden]="no_data_found">
                    <fm-pivot #flowpivotcontainer [width]="'100%'" [height]="'432px'" [toolbar]="true"
                              [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'"
                              (beforetoolbarcreated)="customTableToolbar($event)"
                              (update)="onReportChange($event)"
                              (dataerror)="isDataError($event)"
                              (dataloaded)="isDataLoaded($event)"
                              [customizeContextMenu]="customizeFlexmonsterContextMenu.bind(this)"
                              [customizeCell]="customizeCellFunction.bind(this)">
                    </fm-pivot>
                </div>
                <!-- If no data found -->
                <!-- <div *ngIf="no_data_found === true" class="text-center nodata">
                     <span class="f-18 text-gray77">No data found</span>
                 </div>-->
                <div *ngIf="no_data_found === true" class="text-center">
                    <flow-error></flow-error>
                </div>
            </div>
        </div>
        <div class="col-sm-9">
            <div class="card card-shadow border-radius-10" style="min-height:487px;" id="chart">
                <div class="card-header with-elements pr-0 align-items-center card-bb-color">
                    <div (click)="toggle_entity();"
                         class="card-header-title dashboard-tile-title cursor custom-mouseover flow_title">
                        <span class="mr-2"><i
                                class="las la-angle-down f-20"></i></span><span
                            class="dashboard-tile-title fw-400">{{flow_child.title}}</span>
                    </div>
                    <div class="child_div ml-auto btn-group btn-group-xs btn-group-toggle ng-untouched ng-pristine ng-valid mr-2">
                        <div class="ml-1" *ngIf="!is_fullscreen_view">
                            <button class="btn p-1 " [disabled]="no_data_found"
                                    ngbTooltip="View visualization in full screen" placement="bottom" container="body"
                                    (click)="fullScreen('chart');">
                                <i class="las la-expand f-20 custom-mouseover"></i></button>
                        </div>
                        <div class="ml-1" *ngIf="is_fullscreen_view">
                            <button class="btn p-1"
                                    ngbTooltip="Close" placement="bottom"
                                    (click)="fullScreen('chart');">
                                <i class="ion-md-close f-20 custom-mouseover"></i></button>
                        </div>
                    </div>
                </div>

                <div class="card-body pb-0 px-0 pt-0" id="default_card_fullScreen">
                    <!-- sub childs -->
                    <div class="dis-flex-row pr-5" *ngIf="no_data_found != true">
                        <div class="name dashboard-tile-title align-items-center f-16 text-gray55 fw-500 col-md-3"
                             *ngFor="let m of flow_child?.measures"
                             style="margin: 25px 0 0 0; text-align: center;">{{m}}
                        </div>
                    </div>

                    <!-- display in same row -->
                    <div class="dis-flex-column">
                        <div class="dis-flex-row pr-5"> <!-- dis-flex-wrap -->
                            <div class="col-sm-3 p-0" *ngFor="let flow_child of flow_child?.sub_childs;index as j">
                                <flow-custom-sub-child [flow_group]="flow_group"
                                                       [flow_child]="flow_child"
                                                       [terminate_loop]="j === 0"
                                                       [hide_legends]="true"
                                                       [hidden]="!flow_child.is_visible"
                                                       [flow_index]="i"></flow-custom-sub-child>
                            </div>
                        </div>
                    </div>
                    <!-- If no data found -->
                    <div *ngIf="no_data_found === true" class="text-center">
                        <flow-error></flow-error>
                    </div>
                    <!-- show legends -->
                    <div class="col-md-12 py-3">
                        <div class="d-flex justify-content-center">
                            <div *ngFor="let legend of legends">
                                <div class="cursor d-flex mr-5"
                                     [ngClass]="{'legend_inactive':!legend?.active}">
                                    <div class="circle align-self-center" [style.backgroundColor]="legend?.color"></div>
                                    <div class="name dashboard-tile-title align-items-center f-16 text-gray55 fw-500">{{legend.name}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <div class="col-sm-3">
            <app-hint [id]="'summary'"></app-hint>
            <ngb-tabset class="nav-tabs-top flowtab">
                <ngb-tab *ngFor="let tab of flow_child?.tabs">
                    <ng-template ngbTabTitle>
                        <span class="tab-title text-capitalize">{{tab.name}}</span>
                    </ng-template>
                    <ng-template ngbTabContent>
                        <div class="card-body pl-0 flow_cardbody" [perfectScrollbar]>
                            <div class="f-14" [innerHTML]='tab.description | safeHtml'></div>
                        </div>
                    </ng-template>
                </ngb-tab>
            </ngb-tabset>
        </div>
    </div>
    <div class="row switching-tab-mt" *ngIf="flow_child.is_expand">
        <div class="col-sm-9 ml-5">
            <!-- start switch icons -->
            <div class="mx-auto text-center switch-tab-height">
                <span class="ml-1">
                    
                        <button class="btn p-1" (click)="scroll_flow('left')">
                            <app-hint [id]="'data-view'" *ngIf="flow_index == 0" (click)="$event.stopPropagation()"></app-hint>
                            <div>
                                <i class="fas fa-circle f-5 border-100"
                                   [ngClass]="scroll_position.active=='left'?'blue-dot':'gray-dot'">
                            </i>
                            </div>
                           <div>
                            <i class="las la-table f-20"
                               [ngClass]="scroll_position.active=='left'?'':'gray-text'"
                               ngbTooltip="Data View" placement="bottom" container="body"></i>
                           </div>
                        </button>
                    </span>
                <span class="ml-1">
                        <button class="btn p-1" (click)="scroll_flow('center')">
                          <div>
                            <i class="fas fa-circle f-5 border-100 blue-dot">
                            </i>
                          </div>
                           <div>
                            <i class="las la-chart-bar f-20" ngbTooltip="Visualization" placement="bottom"
                               container="body"></i>
                           </div>
                        </button>
                    </span>
                <span class="ml-1" *ngIf="flow_child?.tabs?.length > 0">
                        <button class="btn p-1" (click)="scroll_flow('right')">
                           <div>
                            <i class="fas fa-circle f-5 border-100"
                               [ngClass]="scroll_position.active=='right' || scroll_position.active=='center' ? 'blue-dot':'gray-dot'">
                           </i>
                           </div>
                           <div>
                            <i class="las la-lightbulb f-20" ngbTooltip="Insights" placement="bottom" container="body"
                               [ngClass]="scroll_position.active=='right' || scroll_position.active=='center' ?'':'gray-text'"></i>
                           </div>
                        </button>
                    </span>
            </div>
            <!-- end switch icons -->
        </div>
        <div class="col-md-3"></div>
    </div>
</div>
<ng-template #blockTemplate>
    <div class="block-ui-template custom-bg-block-ui mb-3">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg"> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                     style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                     viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                    </circle>
                    <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.44999999999999996s">
                        </animate>
                    </circle>
                    <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                    </circle>
                    <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                    </circle>
                </svg>
                <span class="loading-text-material">
                </span>
            </div>
        </div>
    </div>
</ng-template>
